const { db } = require('../db/db-connect');
const logger = require('../utils/logger');
const globalService = require("../services/globalService");

async function createClient() {
  return await db.records.create('client', {});
}

async function getClient(id) {
  const criteria = {
    filter: `id='${id}'`,
  };
  
  return globalService.fetchInfoByCriteria("client", criteria);
}

module.exports = {
  createClient,
  getClient,
};